---
title: "MessageFormatOptions"
parent: "@messageformat/core"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# MessageFormatOptions interface

Options for the MessageFormat constructor

<b>Signature:</b>

```typescript
export interface MessageFormatOptions
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [biDiSupport?](./core.messageformatoptions.bidisupport.md) | boolean | <i>(Optional)</i> Add Unicode control characters to all input parts to preserve the integrity of the output when mixing LTR and RTL text<!-- -->Default: <code>false</code> |
|  [currency?](./core.messageformatoptions.currency.md) | string | <i>(Optional)</i> The currency to use when formatting <code>{V, number, currency}</code>Default: <code>USD</code> |
|  [customFormatters?](./core.messageformatoptions.customformatters.md) | { \[key: string\]: (value: any, locale: string, arg: string \| null) =&gt; string; } | <i>(Optional)</i> Map of custom formatting functions to include. See [Custom Formatters](https://messageformat.github.io/messageformat/custom-formatters/) for more details. |
|  [requireAllArguments?](./core.messageformatoptions.requireallarguments.md) | boolean | <i>(Optional)</i> Require all message arguments to be set with a defined value<!-- -->Default: <code>false</code> |
|  [returnType?](./core.messageformatoptions.returntype.md) | 'string' \| 'values' | <i>(Optional)</i> Return type of compiled functions; either a concatenated string or an array (possibly hierarchical) of values<!-- -->Default: <code>'string'</code> |
|  [strictNumberSign?](./core.messageformatoptions.strictnumbersign.md) | boolean | <i>(Optional)</i> Allow <code>#</code> only directly within a plural or selectordinal case, rather than in any inner select case as well.<!-- -->Default: <code>false</code> |

