---
title: "Messages / addMessages"
parent: "@messageformat/runtime"
grand_parent: API Reference
nav_exclude: true
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# Messages.addMessages() method

Add new messages to the accessor; useful if loading data dynamically

<b>Signature:</b>

```typescript
addMessages(data: MessageData | MessageFunction, locale?: string, keypath?: string[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  data | [MessageData](./runtime.messagedata.md) \| [MessageFunction](./runtime.messagefunction.md) | Hierarchical map of keys to functions, or a single message function |
|  locale | string | If empty or undefined, defaults to <code>this.locale</code> |
|  keypath | string\[\] | The keypath being added |

<b>Returns:</b>

this

## Remarks

The locale code `lc` should be an exact match for the locale being updated, or empty to default to the current locale. Use [Messages.resolveLocale()](./runtime.messages.resolvelocale.md) for resolving partial locale strings.

If `keypath` is empty, adds or sets the complete message object for the corresponding locale. If any keys in `keypath` do not exist, a new object will be created at that key.

